/*
** SellaNMS
** $Id: loader.h,v 1.10 2005/05/15 05:21:17 sella Exp $
** Copyright (c) 2001-2005 Digital Genesis Software, LLC. All Rights Reserved.
** Released under the GPL Version 2 License.
** http://www.digitalgenesis.com
*/

#ifndef __DGS_LIBS_STORAGE_LOADER_H
#define __DGS_LIBS_STORAGE_LOADER_H

#ifdef HAVE_CONFIG_H
	#include "config.h"
#endif

#include "defaults.h"
#include "connection_pool.h"
#include <dbi/dbi.h>
#include <pthread.h>

extern "C" {
	void init(void);
	void fini(void);
#if 0
	void __attribute__ ((constructor)) my_init(void);
	void __attribute__ ((destructor)) my_fini(void);
	void _init();
	void _fini();
#endif
}


#endif

/*
** Local Variables:
** c-basic-offset: 3
** tab-width: 3
** End:
** vim600: fdm=marker
** vim: noet ts=3 sw=3
*/
